# Product Brief - Interactive Workflow Configuration
name: product-brief
description: "Interactive product brief creation workflow that guides users through defining their product vision with multiple input sources and conversational collaboration"
author: "BMad"

# Critical variables
config_source: "{project-root}/bmad/bmm/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
date: system-generated

# Optional input documents
recommended_inputs:
  - market_research: "Market research document (optional)"
  - brainstorming_results: "Brainstorming session outputs (optional)"
  - competitive_analysis: "Competitive analysis (optional)"
  - initial_ideas: "Initial product ideas or notes (optional)"

# Module path and component files
installed_path: "{project-root}/bmad/bmm/workflows/1-analysis/product-brief"
template: "{installed_path}/template.md"
instructions: "{installed_path}/instructions.md"
validation: "{installed_path}/checklist.md"

# Output configuration
default_output_file: "{output_folder}/product-brief-{{project_name}}-{{date}}.md"

# Workflow settings
autonomous: false # This is an interactive workflow requiring user collaboration
brief_format: "comprehensive" # Options: "comprehensive" (full detail) or "executive" (3-page limit)
